jQuery( function () {
	'use strict';
    // Save Settings & API Call for Activate License
    jQuery('#cepe_activate_product').on('click', function (e) {
        e.preventDefault();
        var cepe_purchase_source = jQuery("#cepe_purchase_source").val();
        var cepe_purchase_key = jQuery("#cepe_activate_key").val();
        var cepe_admin_email = jQuery("#cepe_admin_email").val();
        if (cepe_purchase_key == '') {
            jQuery("#error-msg").fadeIn().html("* All fields are mandatory.").delay(5000).fadeOut("slow");
        } else {
            jQuery.ajax({
                type: "post",
                url: cepe_obj.ajaxurl,
                data: {
                    action: 'cepe_activation_api_call',
                    cepe_purchase_key: cepe_purchase_key
                },
                beforeSend: function () {
                    jQuery('.spinner').addClass('is-active');
                },
                success: function (response) {
                    var result = JSON.parse(response);
                    if (result.success) {
                        swal(
                            'Success',
                            result.message,
                            'success'
                        );
                        window.location.href = "admin.php?page=cepe_setting";
                    } else if(result.success == false) {
                        swal(
                            'Error!',
                            result.message,
                            'error'
                        );
                    } else {
                        swal(
                            'Error!',
                            cepe_obj.errormsg,
                            'error'
                        );
                    }
                    jQuery('.spinner').removeClass('is-active');
                }
            });
        }
    });

    // Save Settings & API Call for Deactivate License
    jQuery('#cepe_deactivate_product').on('click', function (e) {   
        e.preventDefault();
        var cepe_purchase_source = jQuery("#cepe_purchase_source").val();
        var cepe_purchase_key = jQuery("#cepe_activate_key").val();
        var cepe_admin_email = jQuery("#cepe_admin_email").val();
        if (cepe_purchase_source === '' || cepe_purchase_key === '' || cepe_admin_email === '') {
            jQuery("#error-msg").fadeIn().html("* All fields are mandatory.").delay(5000).fadeOut("slow");
        } else {
            jQuery.ajax({
                type: "post",
                url: cepe_obj.ajaxurl,
                data: {
                    action: 'cepe_deactivation_api_call',
                    cepe_purchase_source: cepe_purchase_source,
                    cepe_purchase_key: cepe_purchase_key,
                    cepe_admin_email: cepe_admin_email
                },
                beforeSend: function () {
                    jQuery('.spinner').addClass('is-active');
                },
                success: function (response) {
                    var result = JSON.parse(response);
                    if (result.success) {
                        swal(
                            'Success',
                            result.message,
                            'success'
                        );
                        window.location.href = "admin.php?page=cepe_setting";
                    } else if(result.success == false) {
                        swal(
                            'Error!',
                            result.message,
                            'error'
                        );
                    } else {
                        swal(
                            'Error!',
                            cepe_obj.errormsg,
                            'error'
                        );
                    }
                    jQuery('.spinner').removeClass('is-active');
                }
            });
        }
    });
} );