<?php
/**
 * Exit if accessed directly
 */
if (!defined('ABSPATH')) {
    exit;
}
define('CEPE_STORE_URL','https://demo.techeshta.com/');

// Ajax action Call for Activate License
add_action('wp_ajax_cepe_activation_api_call', 'cepe_activation_api_call');
function cepe_activation_api_call() {
    $cepe_purchase_source = sanitize_text_field('envato');
    $cepe_purchase_key = sanitize_text_field($_POST['cepe_purchase_key']);
    $cepe_activation_type = sanitize_text_field('activate');
    $current_user = wp_get_current_user();
    $cepe_admin_email = sanitize_email($current_user->user_email);
    $apiUrl = CEPE_STORE_URL."/wp-json/api/v1/verify-purchase?purchase_source=".$cepe_purchase_source."&purchase_name=".CEPE_NAME."&purchase_email=".$cepe_admin_email."&purchase_key=".$cepe_purchase_key."&purchase_site=".CEPE_SITE."&activation_type=".$cepe_activation_type;
    
    if (!empty($cepe_purchase_source)) {
        $response = wp_remote_retrieve_body( wp_remote_post($apiUrl), true);
        $res = json_decode($response);
        
        if ($res->success == 1) {
            update_option('cepe_purchase_source', $cepe_purchase_source);
            update_option('cepe_purchase_key', $cepe_purchase_key);
            update_option('cepe_activation_type', $cepe_activation_type);
            update_option('cepe_activationinitres_stauts',$res->status);   
            echo $response;
            exit;
        } else if (!$res->success){
            echo $response;
            exit; 
        } else {
            $message = array(
                'success' => false,
                'status' => 'failed',
                'message' => __('Something went wrong',CEPE_DOMAIN)
            );
            $response = json_encode($message);
            echo $response;
            exit;
        }
    }
}

// Ajax action Call for Activate License

add_action('wp_ajax_cepe_deactivation_api_call', 'cepe_deactivation_api_call');
function cepe_deactivation_api_call() {
    $cepe_purchase_source = sanitize_text_field('envato');
    $cepe_purchase_key = sanitize_text_field($_POST['cepe_purchase_key']);
    $cepe_activation_type = sanitize_text_field('deactivate');
    $current_user = wp_get_current_user();
    $cepe_admin_email = sanitize_email($current_user->user_email);
    $apiUrl = CEPE_STORE_URL."/wp-json/api/v1/verify-purchase?purchase_source=".$cepe_purchase_source."&purchase_name=".CEPE_NAME."&purchase_email=".$cepe_admin_email."&purchase_key=".$cepe_purchase_key."&purchase_site=".CEPE_SITE."&activation_type=".$cepe_activation_type;

    if (!empty($cepe_purchase_source)) {
        $response = wp_remote_retrieve_body( wp_remote_post($apiUrl) );
        $res = json_decode($response);
        
        if ($res->success == 1) {
            update_option('cepe_purchase_source', $cepe_purchase_source);
            update_option('cepe_purchase_key', $cepe_purchase_key);
            update_option('cepe_activation_type', $cepe_activation_type);
            update_option('cepe_activationinitres_stauts',$res->status);
            echo $response;
            exit;
        } else if (!$res->success){
            echo $response;
            exit; 
        } else {
            $message = array(
                'success' => false,
                'status' => 'failed',
                'message' => __('Something went wrong', CEPE_DOMAIN)
            );
            $response = json_encode($message);
            echo $response;
            exit;
        }
    }
}

/*
 * Cron Schedule change filter
 */
function cepe_verifylicense_everyday( $schedules ) {
    $schedules['daily'] = array(
            'interval'  => 86400, // day
            'display'   => __('Once Daily', CEPE_DOMAIN)
    );

    return $schedules;
}
add_filter('cron_schedules', 'cepe_verifylicense_everyday');

/*
 * Schedule an action if it's not already scheduled
 */
if(!wp_next_scheduled ('cepe_verifylicense_everyday')){
    wp_schedule_event(time(), 'daily', 'cepe_verifylicense_everyday');
}
/*
 * Hook into that action that'll fire every day
 */
add_action('cepe_verifylicense_everyday', 'cepe_check_license_verification');

function cepe_check_license_verification(){
    $cepe_purchase_source = get_option('cepe_purchase_source');
    $cepe_purchase_key = get_option('cepe_purchase_key');
    $cepe_activation_type = 'initiatelicense';
    $current_user = wp_get_current_user();
    $cepe_admin_email = sanitize_email($current_user->user_email);
    $apiUrl = CEPE_STORE_URL."/wp-json/api/v1/verify-purchase?purchase_source=".$cepe_purchase_source."&purchase_name=".CEPE_NAME."&purchase_email=".$cepe_admin_email."&purchase_key=".$cepe_purchase_key."&purchase_site=".CEPE_SITE."&activation_type=".$cepe_activation_type;

    if (!empty($cepe_purchase_source)) {
        $response = wp_remote_retrieve_body( wp_remote_post($apiUrl) );
        $res = json_decode($response);

        if ($res->success == 1) {
            update_option('cepe_activationinitres_stauts',$res->status);
            update_option('cepe_activationinit_stauts',$res->message);
        }
    }

}