<?php
/*
 * Exit if accessed directly
 */
if (!defined('ABSPATH')) {
    exit;
}

/*
 * Active & validate plugin
 */
if (!function_exists('cepe_activate_function')) {

    function cepe_activate_function() {
        $cepe_purchase_source = get_option('cepe_purchase_source');
        $cepe_purchase_key = get_option('cepe_purchase_key');
        $cepe_activation_type = get_option('cepe_activation_type');
        
        ?>
        <div class="cepe-body">
            <div class="cepe-header">
                <h1 class="wp-heading-inline"><?php esc_html_e('Card Elements Pro Activate', CEPE_DOMAIN); ?></h1>
            </div>
            <div id="cepe-wrap" class="cepe-wrap">
                <div class="cepe_wrapper cepe_wrapper_activate">
                    <form action="" method="post" id="cepe-form-activate" class="cepe-form-activate">
                        <div class="cepe-form-activate-container">
                            <div class="cepe-form-field">
                                <h3><?php esc_html_e('Please activate the plugin with the purchase key:', CEPE_DOMAIN); ?></h3>
                                <label for="cepe_label" class="cepe_activate_label" id="" ><?php esc_html_e('Enter Key : ', CEPE_DOMAIN); ?></label>
                                <input type="text" required name="cepe_activate_key" placeholder="<?php esc_html_e('Please Enter Key', CEPE_DOMAIN); ?> class="cepe_activate_key" id="cepe_activate_key" value="<?php esc_html_e($cepe_purchase_key); ?>" >
                                <?php if ($cepe_activation_type == 'activate') { ?>
                                    <input type="button" id="cepe_deactivate_product" name="cepe_deactivate_product" class="cepe_deactivate_product" value="<?php esc_html_e('Deactivate', CEPE_DOMAIN) ?>">
                                    <span class="spinner"></span>
                                <?php } else { ?>
                                    <input type="button" id="cepe_activate_product" name="cepe_activate_product" class="cepe_deactivate_product" value="<?php esc_html_e('Activate', CEPE_DOMAIN) ?>">
                                    <span class="spinner"></span>
                                <?php } ?>
                                <div id="error-msg"></div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <?php
    }

}