<!--Start Post Card 3 -->
<article class="grid-item column post-card-container">
    <div class="post-card-image post-card-box-radius post-module">
        <!-- Thumbnail-->
        <div class="post-media">
            <?php if (has_post_thumbnail()) { ?>
                <div class="post-card-image post-card_thumbnail">
                    <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail($settings['post_image_size_size']); ?></a>
                </div>                 
            <?php } else {
                ?> 
                <div class="only-title">
                    <h3 class="thumb_title"> <?php the_title(); ?> </h3>
                </div>
                <?php
            }

            if (in_array('date', $settings['meta_data'])) {
                ?>
                <div class="post-card_date">
                    <div class="date post-card_date_color"><?php echo get_the_date('d.m.y'); ?></div> 
                </div>
            <?php }
            ?>
        </div>
        <div class="post-content">
            <div class="post-heading">
                <!-- Category And Author-->
                <div class="category-auth">
                    <div class="category post-card_category post-card_category_background">
                        <?php echo post_card_pro_posted_categories(); ?>
                    </div>
                    <?php
                    if (in_array('author', $settings['meta_data'])) {
                        post_card_pro_posted_by();
                    }
                    ?>
                </div>
                <!-- Title--> 
                <?php
                if (isset($settings['show_title']) && $settings['show_title'] == 'yes') {
                    $tag = $settings['title_tag'];
                    ?>
                    <!-- Default Title Tag : H2 -->
                    <<?php echo $tag; ?> class="title post-card-alignment">
                    <a class="post-card_title" href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                    </<?php echo $tag; ?>> 
                <?php } ?>
            </div>
            <!-- Description-->
            <div class="post-text"><?php
                if (isset($settings['show_excerpt']) && $settings['show_excerpt'] == 'yes') {
                    if ($settings['excerpt_from'] == 'content') {
                        $content = get_the_content();
                    } else if ($settings['excerpt_from'] == 'excerpt') {
                        $content = get_the_excerpt();
                    } else {
                        $content = get_the_content();
                    }
                    if ($settings['show_read_more'] == "yes") {
                        $read_more = '<a href="' . esc_url(get_permalink()) . '" rel="bookmark" class="entry-read-more post-card_read-more">' . ' &nbsp;' . $settings['read_more_text'] . ' &nbsp;' . '</a>';
                    } else {
                        $read_more = "";
                    }
                    ?>
                    <p class="description post-card_excerpt post-card-alignment">
                        <?php echo wp_trim_words($content, $settings['excerpt_length']);
                        ?>
                    </p> 
                    <?php
                    echo $read_more;
                }
                ?> 
            </div>
            <!-- Tags and coments count-->
            <div class="post-footer">
                <?php
                if (in_array('tags', $settings['meta_data'])) {
                    post_card_pro_posted_tag();
                }
                if (in_array('comments', $settings['meta_data'])) {
                    ?>       
                    <div class="comments">     
                        <?php
                        post_card_pro_comment_count();
                        ?>
                    </div>
                    <?php
                }
                ?>
            </div>
        </div>
    </div>
</article>
<!-- End Post Card-->