<!--Start Post Card 4 -->
<article class="grid-item column post-card-container">
    <div class="blog-post">
        <?php if (has_post_thumbnail()) { ?>
            <div class="post-card-image post-card_thumbnail">
                <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail($settings['post_image_size_size']); ?></a>
            </div>
        <?php } else {
            ?>
            <div class="only-title">
                <h3 class="thumb_title"> <?php the_title(); ?> </h3>
            </div>
            <?php
        }
        ?>
        <div class="blog-outer">
            <div class="meta">
                <?php
                if (in_array('tags', $settings['meta_data'])) {
                    post_card_pro_posted_tag();
                }

                if (in_array('date', $settings['meta_data'])) {
                    ?>
                    <div class="date post-card_date">
                        <div class="day post-card_date_color"><?php echo get_the_date('d-M-y'); ?></div>
                    </div>
                    <?php
                }

                if (in_array('comments', $settings['meta_data'])) {
                    post_card_pro_comment_count();
                }
                ?>
            </div>
            <?php
            if (isset($settings['show_title']) && $settings['show_title'] == 'yes') {
                $tag = $settings['title_tag'];
                ?>
                <<?php echo $tag; ?> class="title post-card_title post-card-alignment">
                <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                </<?php echo $tag; ?>>
            <?php } ?>
            <div class="admin-text">
                <?php
                if (in_array('author', $settings['meta_data'])) {
                    post_card_pro_card_style_2_posted_by();
                }
                ?>
            </div>
        </div>
        <?php
        if (isset($settings['show_excerpt']) && $settings['show_excerpt'] == 'yes') {
            if ($settings['excerpt_from'] == 'content') {
                $content = get_the_content();
            } else if ($settings['excerpt_from'] == 'excerpt') {
                $content = get_the_excerpt();
            } else {
                $content = get_the_content();
            }
            ?>
            <div class="blog-text">
                <p class="description post-card_excerpt post-card-alignment">
                    <?php echo wp_trim_words($content, $settings['excerpt_length']);
                    ?>
                </p>
            </div>
        <?php }
        ?>
        <div class="blog-bottom">
            <div class="more-links pull-left">
                <div class="category post-card_category post-card_category_background">
                    <?php echo post_card_pro_posted_categories(); ?>
                </div>
            </div>
            <div class="pull-right">
                <?php
                if ($settings['show_read_more'] == "yes") {
                    $read_more = '<a href="' . esc_url(get_permalink()) . '" rel="bookmark" class="more-links post-card_read-more">' . ' &nbsp;' . $settings['read_more_text'] . '</a>';
                } else {
                    $read_more = "";
                }
                echo $read_more;
                ?>
            </div>
            <div class="clearfix"></div>
        </div>
    </div>
</article>
<!-- End Post Card-->